#!/usr/bin/perl
use 5.008008;
use ExtUtils::MakeMaker;

# See lib/ExtUtils/MakeMaker.pm for details of how to influence
# the contents of the Makefile that is written.
WriteMakefile(
    NAME              => 'POEx::ClockSkew',
    VERSION_FROM      => 'lib/POEx/ClockSkew.pm', # finds $VERSION
    PREREQ_PM         => {
            POSIX::RT::Timer => 0.012,
            POE::Component::Generic => 0.1402,
            Time::HiRes => 1.9,
        }, 
    dist        => {
        COMPRESS  => 'gzip -9f',
        SUFFIX    => 'gz',
    },

    ($] >= 5.005 ?     ## Add these new keywords supported since 5.005
      (ABSTRACT_FROM  => 'lib/POEx/ClockSkew.pm', # retrieve abstract from module
       AUTHOR         => 'Philip Gwyn <gwyn-at-cpan.org>',
       LICENSE        => 'perl',

      ) : ()),
);
