#!/usr/bin/perl

use strict;
use warnings;

use Test::More;
eval "use Test::Pod::Coverage 1.00";
plan skip_all => "Test::Pod::Coverage 1.00 required for testing POD coverage" if $@;

plan tests => 1;
pod_coverage_ok(
        "POEx::ClockSkew",
        { also_private => [ qw( 
                    init new skew
                    debug detect_skew
                    build_pipe kill_pipe
                    build_sig kill_sig signal_handler
                    build_timer kill_timer
                    calc_epsilon calc_expected
                    now 
                    pipread read write 
                    ) ],
        },
        "POEx::ClockSkew, ignoring private functions",
);

